Package Details: leagueoflegends-git v0.10.12.r0.gc44d767-1

Git Clone URL: https://aur.archlinux.org/leagueoflegends-git.git (read-only, click to copy)
Package Base: leagueoflegends-git
Description: League of Legends helper script
Upstream URL: https://github.com/kyechou/leagueoflegends
Keywords: LoL
Licenses: GPL3
Conflicts: leagueoflegends
Submitter: Nefelim4ag
Maintainer: kyechou
Last Packager: kyechou
Votes: 24
Popularity: 1.16
First Submitted: 2016-11-08 01:49
Last Updated: 2020-06-15 02:03

Pinned Comments

kyechou commented on 2019-09-22 02:49

Hi guys, it needs the wine-lol package until this upstream issue (https://bugs.winehq.org/show_bug.cgi?id=47198) is resolved and the patches are merged. If you have a slow machine, you might want to install M-Reimer's binary at https://m-reimer.de/wine-lol/.

If you cannot move the camera with mouse in game, which seems to be a Wine issue, please see https://www.reddit.com/r/leagueoflinux/comments/cb5gdc/locked_camera_after_window_focuss_change/.

Note: the version scheme is changed around last year September to follow the official patch versions. You might need to reinstall to keep the package up to date if you installed the package before the time.

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

astronautlevel commented on 2017-02-01 04:07

Hey,

When running this I get to the launcher, but while it's installing League it hangs and gives an error message "BugSplatRC resource DLL not found"

Any ideas?

Thanks in advance

Nefelim4ag commented on 2017-01-29 00:32

@circleous, added

circleous commented on 2017-01-28 15:54

"err:module:load_builtin_dll failed to load .so lib for builtin L"WLDAP32.dll": libldap_r-2.4.so.2: cannot open shared object file: No such file or directory"
Missing dependencies for lib32-libldap. https://wiki.archlinux.org/index.php/League_of_Legends#Install_the_dependencies

Nefelim4ag commented on 2017-01-24 11:25

@ZioCroccante, added

ZioCroccante commented on 2017-01-24 08:34

Hello, i don't know if it is the right place to write the issue, but the log in doesn't work. I've tried to fix it as suggested here:

https://wiki.archlinux.org/index.php/League_of_Legends

by changing the wininet to "built-in than native" but the problem still remains.

edit: I fixed installing lib32-gnutls, maybe it should be added as dependence

Nefelim4ag commented on 2017-01-17 21:54

@mesmer,
Check https://github.com/Nefelim4ag/League-Of-Legends/commit/9a8e8893a87e23bf9fae71c486e8846c407e613d

mesmer commented on 2017-01-16 15:20

to skip the bugsplay i need to do:
$ GC_DONT_GC=1 leagueoflegends launcher
maybe you can add this in the launcher variables

Nefelim4ag commented on 2016-11-08 23:03

@chuckdaniels, Fixed.

chuckdaniels commented on 2016-11-08 21:01

This package is in conflict with 'leagueoflegends' package. That should be present in the PKGBUILD.

Nefelim4ag commented on 2016-11-08 20:18

@Soul_Est,
1. Which type of problem you have with downloading of launcher?
2. Too weird
Bash must support it. =\
---
Update: I've rewrite script and use internal tiny (1.5Mb installation launcher)